HOC SiteDocumentation

POST /api/v1/{locale}/{websiteId}/components/presets

Create List/Detail/Form preset (variables + VariableInputBlock + named dataRequests + Button trigger)

Method: POST · Auth: bearer · Group: design

/api/v1/{locale}/{websiteId}/components/presets

Create List/Detail/Form preset (variables + VariableInputBlock + named dataRequests + Button trigger)

Request

  • Content-Type: application/json
{ "objectTypeId": "uuid", "kind": "list|detail|form", "label?": "string" }

MCP tools